package com.tzld.piaoquan.api;

import com.tzld.piaoquan.api.job.ContentPlatformDatastatJob;
import com.tzld.piaoquan.growth.common.utils.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.List;

@SpringBootTest(classes = GrowthServerApplication.class)
@Slf4j
public class ContentPlatformTest {

    @Autowired
    ContentPlatformDatastatJob datastatJob;

    @Test
    public void testSyncContentPlatformQwDatastatReplyTotalJob() {
        List<String> dtList = DateUtil.getBeforeDays(7);
        for (String dt : dtList) {
            datastatJob.syncContentPlatformGzhDatastatJob(dt);
            datastatJob.syncContentPlatformGzhVideoDatastatJob(dt);
            datastatJob.syncContentPlatformGzhDatastatTotalJob(dt);
            datastatJob.syncContentPlatformFwhDatastatJob(dt);
            datastatJob.syncContentPlatformFwhDatastatTotalJob(dt);
            datastatJob.syncContentPlatformQwDatastatJob(dt);
            datastatJob.syncContentPlatformQwDatastatTotalJob(dt);
            datastatJob.syncContentPlatformQwDatastatReplyTotalJob(dt);
            datastatJob.syncContentPlatformQwDatastatSubChannelJob(dt);
        }
    }

}
